#
# spec file for package perl-Date-Tiny
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Date-Tiny
%define        real_name Date-Tiny
Version:        1.04
Release:        14.1
Summary:        A date object with as little code as possible
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/perldoc?Date::Tiny
Source0:        %{real_name}-%{version}.tar.gz
Patch0:         Date-Tiny-format.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-macros

%description
Date::Tiny is a member of the DateTime::Tiny suite of time modules.

It implements an extremely lightweight object that represents a date, without
any time data.


%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p0

%build
%__perl Makefile.PL
%__make %{?jobs:-j%jobs}

%check
%__make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%__rm -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc Changes MANIFEST META.yml README

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Sat Dec 26 2009 lars@linux-schulserver.de
- update to 1.04
- fixed most rpmlint errors
- respooled Date-Tiny-format.patch
* Tue Dec 11 2007 richard@radoeka.nl
- Added patch Date-Tiny-format.patch, that's needed for ftree2.  The patch
  has been sent to the upstream maintainer.
* Sun Dec  9 2007 richard@radoeka.nl
- Initial rpm build
